# Interface MenuProperties

Properties that can be passed into the constructor for menus/Menu!Menu.

interface MenuProperties {
failureMode?: FailureMode;
id?: string;
items?: (MenuItemProperties | MenuItem<MenuItemProperties, MenuProperties>)[];
title?: string;
}

#### Hierarchy (view full)

- EntityBaseProperties
  - MenuProperties

#####
Index

### Properties

failureMode?
id?
items?
title?

##
Properties

### `Optional` failureMode

failureMode?: FailureMode

See support/InitializableBase!InitializableBase.failureMode.

Inherited from EntityBaseProperties.failureMode

### `Optional` id

id?: string

The unique ID to assign to the entity. If not specified, one will be generated.

Inherited from EntityBaseProperties.id

### `Optional` items

items?: (MenuItemProperties | MenuItem<MenuItemProperties, MenuProperties>)[]

See menus/Menu!Menu.items.

### `Optional` title

title?: string

See menus/Menu!Menu.title.